<?php

declare(strict_types=1);

namespace App\SuperAdmin\Domain\Repository;

use App\SuperAdmin\Domain\Model\SuperAdmin\SuperAdmin;
use App\SuperAdmin\Domain\Model\SuperAdmin\SuperAdminId;

interface SuperAdminRepository
{
    public function save(SuperAdmin $superAdmin): void;

    /**
     * @throws \App\SuperAdmin\Domain\Exception\SuperAdminIntrouvableException
     */
    public function get(SuperAdminId $id): SuperAdmin;

    public function findByEmail(string $email): ?SuperAdmin;
}
